> ## Documentation Index
> Fetch the complete documentation index at: https://paragraph.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get coin by ID

> Retrieve information about a tokenized post using its unique ID



## OpenAPI

````yaml /paragraph-api/openapi.json get /v1/coins/{id}
openapi: 3.1.0
info:
  title: Paragraph API
  version: 1.0.0
  description: >-
    Public API for interacting with Paragraph publications, posts, users, and
    coined writing.


    ## Rate Limiting

    API requests are rate-limited to ensure fair usage. Contact
    support@paragraph.com for higher limits.


    ## Pagination

    List endpoints support cursor-based pagination using `cursor` and `limit`
    parameters.
  contact:
    name: Paragraph Support
    email: support@paragraph.com
    url: https://paragraph.com/support
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://public.api.paragraph.com/api
    description: Production server
security:
  - {}
tags:
  - name: publications
    description: Operations related to publications
  - name: posts
    description: Operations related to posts and content
  - name: users
    description: Operations related to users and authors
  - name: coins
    description: Operations related to tokenized content
  - name: subscribers
    description: Operations related to subscriber management (requires API key)
paths:
  /v1/coins/{id}:
    get:
      tags:
        - coins
      summary: Get coin by ID
      description: Retrieve information about a tokenized post using its unique ID
      operationId: getCoin
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Paragraph-internal unique identifier for the coin
      responses:
        '200':
          description: Coin details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the coin
                  contractAddress:
                    type: string
                    pattern: ^0x[a-fA-F0-9]{40}$
                    description: Base contract address for the coin
                  metadata:
                    type: object
                    properties:
                      name:
                        type: string
                        description: Name of the coin
                      symbol:
                        type: string
                        description: Symbol of the coin
                      decimals:
                        type: number
                        description: Number of decimals of the coin
                      description:
                        type: string
                        description: Description of the coin
                      image:
                        type: string
                        description: Image url of the logo associated with the coin
                      logoURI:
                        type: string
                        description: Image url of the logo associated with the coin
                      chainId:
                        type: number
                        description: Chain id number of the coin
                      external_url:
                        type: string
                        description: External url associated with the coin
                      links:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              description: Name of the link
                            url:
                              type: string
                              description: URL of the link
                          required:
                            - name
                            - url
                      tags:
                        type: array
                        items:
                          type: string
                        description: Tags associated with the coin
                      extensions:
                        type: object
                        properties:
                          coinType:
                            type: string
                            description: Type of the coin
                          paragraph:
                            type: object
                            properties:
                              blogId:
                                type: string
                                description: ID of the blog associated with this coin
                              blogUrl:
                                type: string
                                description: URL of the blog associated with this coin
                              authorName:
                                type: string
                                description: Name of the author associated with this coin
                              noteId:
                                type: string
                                description: ID of the note associated with this coin
                              postSlug:
                                type: string
                                description: Slug of the post associated with this coin
                            required:
                              - blogId
                              - blogUrl
                        required:
                          - coinType
                          - paragraph
                      attributes:
                        type: array
                        items:
                          type: object
                          properties:
                            trait_type:
                              type: string
                            value:
                              type: string
                          required:
                            - trait_type
                            - value
                    required:
                      - name
                      - symbol
                      - decimals
                      - description
                      - chainId
                      - external_url
                      - links
                      - tags
                      - extensions
                      - attributes
                required:
                  - id
                  - contractAddress
                  - metadata
        '404':
          description: Coin not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses
                  msg:
                    type: string
                    description: Human-readable error message
                required:
                  - success
                  - msg
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses
                  msg:
                    type: string
                    description: Human-readable error message
                required:
                  - success
                  - msg
      x-codeSamples:
        - lang: typescript
          label: Get coin by ID
          source: >-
            import { ParagraphAPI } from "@paragraph-com/sdk"


            const api = new ParagraphAPI()

            const coin = await api.coins.get({ id: "S2AlaNG5Hw0NdNptmLTw"
            }).single()

````